# Interface Stroke

#### Hierarchy

- Stroke

- Defined in src/options.js:38

#####
Index

### Properties

color
lineCap
lineDash
lineDashOffset
lineJoin
miterLimit
width

## Properties

### color

color: string | number[]

The color.

- Defined in src/options.js:39

### lineCap

lineCap: CanvasLineCap

Line cap style: `butt`, `round`, or `square`.

- Defined in src/options.js:40

### lineDash

lineDash: number[]

Line dash pattern. Default is `null` (no dash). Please note that Internet Explorer 10 and lower do not support the `setLineDash` method on the `CanvasRenderingContext2D` and therefore this option will have no visual effect in these browsers.

- Defined in src/options.js:42

### lineDashOffset

lineDashOffset: number

Line dash offset.

- Defined in src/options.js:45

### lineJoin

lineJoin: CanvasLineJoin

Line join style: `bevel`, `round`, or `miter`.

- Defined in src/options.js:41

### miterLimit

miterLimit: number

Miter limit.

- Defined in src/options.js:46

### width

width: number

Width.

- Defined in src/options.js:47

Generated using TypeDoc